Create a Batch Report
POST /api/v1/settlement_reports/prepare
Create a new batch report. To create an batch transfer, must upload the attachment file of settlement ahead. Once the transfer is created, it will do correspond principle and commission between your account and merchants connected to your Airwallex account. Each file must follow our field structure to generate settlement.
A specific deposit from the Airwallex.
File-id that can identify settlement file through file-service.
Create time of the batch settlement.
Settlement file id.
Settlement report id generated.
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request POST \> --url 'https://api.sandbox.airwallex.com/api/v1/settlement_reports/prepare' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json' \> --data '{> "deposit_id": "<string>",> "file_id": "<string>">}'
1{2 "create_at": "<string>",3 "file_id": "<string>",4 "settlement_report_id": "<string>"5}
Retrieve a Settlement Report
GET /api/v1/settlement_reports/{settlement_report_id}
Get settlement report file for batch settlement records.
Settlement report id for specified settlement reports.
| Error status | Description |
|---|---|
| 400 | Possible errors: |
| 401 | Possible errors: |
| 429 | Too many requests |
| 500 | Service unavailable |
$curl --request GET \> --url 'https://api.sandbox.airwallex.com/api/v1/settlement_reports/settlement_report_id' \> --header 'Authorization: Bearer {{ACCESS_TOKEN}}' \> --header 'Content-Type: application/json'